com.atid.lib.module.rfid.uhf.types

## Enum AlgorithmType

- java.lang.Object
- - java.lang.Enum<AlgorithmType>
  - - com.atid.lib.module.rfid.uhf.types.AlgorithmType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<AlgorithmType>

      public enum AlgorithmType
      extends java.lang.Enum<AlgorithmType>
      implements IEnumType

  The AlgorithmType enumeration represents the algorithm by which the RFID UHF module inventories the TAG.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DynamicQ`
    `FixedQ`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static AlgorithmType` | `valueOf(int code)`
    `static AlgorithmType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlgorithmType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FixedQ

          public static final AlgorithmType FixedQ

    - #### DynamicQ

          public static final AlgorithmType DynamicQ

  - ### Method Detail

    - #### values

          public static AlgorithmType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlgorithmType c : AlgorithmType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlgorithmType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<AlgorithmType>`

    - #### valueOf

          public static AlgorithmType valueOf(int code)